Subject: Re: [PATCH net-next] mlxsw: update adjfine to use adjust_by_scaled_ppm

From: Jakub Kicinski <[email-masked]>
Date: Wed, 16 Nov 2022 12:20:23 -0800

On Wed, 16 Nov 2022 10:01:18 +0200 Ido Schimmel wrote:
> On Mon, Nov 14, 2022 at 01:37:01PM -0800, Jacob Keller wrote:
> > The mlxsw adjfine implementation in the spectrum_ptp.c file converts
> > scaled_ppm into ppb before updating a cyclecounter multiplier using the
> > standard "base * ppb / 1billion" calculation.
> > 
> > This can be re-written to use adjust_by_scaled_ppm, directly using the
> > scaled parts per million and reducing the amount of code required to
> > express this calculation.
> > 
> > We still calculate the parts per billion for passing into
> > mlxsw_sp_ptp_phc_adjfreq because this function requires the input to be in
> > parts per billion.
> > 
> > Signed-off-by: Jacob Keller <[email-masked]>  
> 
> Reviewed-by: Ido Schimmel <[email-masked]>
> Tested-by: Ido Schimmel <[email-masked]>

FTR this patch got marked as 'not applicable' in pw but I'm not sure
why, so applying...